Name: scrollkeeper
Version: 0.3.12
Release: alt1

Summary: ScrollKeeper is a cataloging system for documentation
License: LGPL
Group: Publishing
Url: http://%name.sourceforge.net

Source: %name-%version.tar.bz2
Patch: %name-0.3.12-alt-paths.patch
Patch1: %name-0.3.11-alt-configure_docbook_dtd.patch
Patch2: %name-0.3.12-alt-ru.po.patch
#Patch3: %name-0.3.12-pld_alt-po.patch
Patch8: %name-0.3.11-alt-gettext_hack.patch

%define libxml2_ver 2.4.28
PreReq: lib%name = %version-%release, xml-common, xml-utils, docbook-dtds

BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Wed Apr 23 2003
BuildRequires: docbook-dtds glibc-devel-static intltool libxml2-devel libxslt-devel xml-utils zlib-devel

%description
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%package -n lib%name
Summary: Libraries for scrollkeeper
Group: System/Libraries

%description -n lib%name
These are the libraries for Scrollkeeper.

%package -n lib%name-devel
Summary: Includes and more to develop scrollkeeper applications
Group: Development/C
Requires: %name = %version-%release
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries, include files and other resources you can use to develop
Scrollkeeper applications.

%package -n lib%name-devel-static
Summary: Static libraries to develop scrollkeeper applications
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
Static libraries you can use to develop Scrollkeeper applications.

%define xmlbase %_datadir/xml
%define xmlconfdir %_sysconfdir/xml
%define xmlcatalog %xmlconfdir/catalog

%prep
%setup -q
%patch -p1
%patch1 -p1 -b .docbook_dtd
%patch2 -p1
#%patch3 -p1
%patch8 -p1

find . -name Makefile.am | xargs perl -ni -e '/^\s+#/ or print' doc/omf.make

%build
%define __gettextize gettextize -q --copy --force
%define __intltoolize intltoolize --copy --force
%__rm -f missing
%__libtoolize --copy --force
%__gettextize
%__intltoolize
%__aclocal
%__autoheader
%__autoconf
%__automake -a -c -f --foreign

%configure --with-omfdirs=%_datadir/omf
%make_build GETTEXT_PACKAGE=%name

%install
%makeinstall GETTEXT_PACKAGE=%name

%__install -d -m755 %buildroot%_localstatedir/%name

# filelist (excludes %name-config from devel package)
find %buildroot{%_bindir,%_mandir} -type f| \
%__grep -v 'config'| \
%__sed -e 's|^%buildroot||' -e 's@\.[1-8]@*@1g' >%name.files

%find_lang %name

%post
%_bindir/xmlcatalog --noout --add "public" \
        "-//Open Source Metadata Framework (OMF) //DTD OMF.dtd V1.1//EN" \
        "%_datadir/xml/%name/dtds/%name-omf.dtd" %xmlcatalog ||:
%_bindir/xmlcatalog --noout --add "public" \
        "-//Scrollkeeper//DTD Contents List V1.0//EN" \
        "%_datadir/xml/%name/dtds/%name-cl.dtd" %xmlcatalog ||:
	
scrollkeeper-rebuilddb -q -p %_localstatedir/%name ||:	

%preun
[ $1 = 0 ] || exit 0
%_bindir/xmlcatalog --noout --del \
	"%_datadir/xml/%name/dtds/%name-omf.dtd" %xmlcatalog ||:
%_bindir/xmlcatalog --noout --del \
	"%_datadir/xml/%name/dtds/%name-cl.dtd" %xmlcatalog ||:

%triggerpostun -- %name < 0.3.11
[ $2 != 0 ] || exit 0
%_bindir/xmlcatalog --noout --add "public" \
        "-//Open Source Metadata Framework (OMF) //DTD OMF.dtd V1.1//EN" \
        "%_datadir/xml/%name/dtds/%name-omf.dtd" %xmlcatalog ||:
%_bindir/xmlcatalog --noout --add "public" \
        "-//Scrollkeeper//DTD Contents List V1.0//EN" \
        "%_datadir/xml/%name/dtds/%name-cl.dtd" %xmlcatalog ||:
	
scrollkeeper-rebuilddb -q -p %_localstatedir/%name ||:	

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_datadir/omf
%_datadir/%name
%_datadir/xml/*
%_mandir/man?/*
%dir %_localstatedir/%name
%config(noreplace) %_sysconfdir/%name.conf
%doc AUTHORS README ChangeLog NEWS INSTALL

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Wed Apr 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.12-alt1
- 0.3.12

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt2
- Directory /var/lib/scrollkeeper owned by scrollkeeper (#1665)
- Fixed registration for romanian docs (#1666).
- Fixes in russian translation.
- fixed build with new automake again.
- scrollkeeper-rebuilddb run in %%post when upgrading.
- PLD Team:
    - fixed manpage
    - fixed translations
- Debian:
    - fixed temp files naming

* Thu Nov 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1.3
- Added prereqs on docbook-dtds (#1523)

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1.2
- Fixed build with new automake (thanks to Mikhail Zabaluev <mhz@alt-linux.org>)

* Wed Oct 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1.1
- xml-common added to prereqs list.

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1
- 0.3.11

* Tue Jun 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.10-alt1
- 0.3.10

* Mon Mar 18 2002 AEN <aen@logic.ru> 0.2-alt3
- nocrash patch from RH

* Fri Aug 24 2001 AEN <aen@logic.ru> 0.2-alt2
- scrollkeeper prereq libscrollkeeper
* Tue Apr 17 2001 AEN <aen@logic.ru> 0.2-alt1
- 0.2
- libifications
* Wed Mar 14 2001 AEN <aen@logic.ru> 0.1.4-ipl1mdk
- build for nautilus
- RE adaptation

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.4-1mdk
- from Alexander Skwar <ASkwar@Linux-Mandrake.com>
	- New release
	- regenerate patch 0

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-1mdk
- First Mandrake release

* Tue Feb 15 2001 Dan Mueth <dan@eazel.com>
- added line to include the translations .mo file

* Tue Feb 06 2001 Dan Mueth <dan@eazel.com>
- fixed up pre and post installation scripts

* Tue Feb 06 2001 Laszlo Kovacs <laszlo.kovacs@sun.com>
- added all the locale directories and links for the template
  content list files

* Wed Jan 17 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- converted to scrollkeeper.spec.in

* Sat Dec 16 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- help files added

* Fri Dec 8 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- various small fixes added

* Thu Dec 7 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- fixing localstatedir problem
- adding postinstall and postuninstall scripts

* Tue Dec 5 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- adding COPYING, AUTHORS, etc
- fixed localstatedir for the OMF files

* Fri Nov 10 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- Initial spec file created.
